Contao Extension: TinyMcePluginLoader
=====================================

Special extension that will load additional TinyMCE plugins (check out the available plugins: [here](#plugins)).


Installation
------------

The extension is not published in contao extension repository.
Install it manually or via [composer](https://packagist.org/packages/cliffparnitzky/tiny-mce-plugin-loader).


Tracker
-------

https://github.com/cliffparnitzky/TinyMcePluginLoader/issues


Compatibility
-------------

- min. version: Contao 3.0.x
- max. version: Contao 3.2.x

(For Contao 2 look at the [master_c2 Branch](https://github.com/cliffparnitzky/TinyMcePluginLoader/tree/master_c2))


Dependency
----------

- There are no dependencies to other extensions, that have to be installed.

| Plugin                                                                               | TinyMCE 3 compatible                                                                   | TinyMCE 4 compatible                                                             |
| ------------------------------------------------------------------------------------ | :------------------------------------------------------------------------------------: | :------------------------------------------------------------------------------: |
| [TinyMceAdvancedList](https://github.com/cliffparnitzky/TinyMceAdvancedList)         | ![tinymce 3 ok](http://img.shields.io/badge/tinymce%203-ok-green.svg?style=flat)       | ![tinymce 4 ok](http://img.shields.io/badge/tinymce%204-ok-green.svg?style=flat) |
| [TinyMceAnchor](https://github.com/cliffparnitzky/TinyMceAnchor)                     | ![tinymce 3 n/a](http://img.shields.io/badge/tinymce%203-n/a-lightgrey.svg?style=flat) | ![tinymce 4 ok](http://img.shields.io/badge/tinymce%204-ok-green.svg?style=flat) |
| [TinyMceCodeMirror](https://github.com/cliffparnitzky/TinyMceCodeMirror)             | ![tinymce 3 n/a](http://img.shields.io/badge/tinymce%203-n/a-lightgrey.svg?style=flat) | ![tinymce 4 ok](http://img.shields.io/badge/tinymce%204-ok-green.svg?style=flat) |
| [TinyMceColorpicker](https://github.com/cliffparnitzky/TinyMceColorpicker)           | ![tinymce 3 n/a](http://img.shields.io/badge/tinymce%203-n/a-lightgrey.svg?style=flat) | ![tinymce 4 ok](http://img.shields.io/badge/tinymce%204-ok-green.svg?style=flat) |
| [TinyMceContextMenu](https://github.com/cliffparnitzky/TinyMceContextMenu)           | ![tinymce 3 ok](http://img.shields.io/badge/tinymce%203-ok-green.svg?style=flat)       | ![tinymce 4 ok](http://img.shields.io/badge/tinymce%204-ok-green.svg?style=flat) |
| [TinyMceEmoticons](https://github.com/cliffparnitzky/TinyMceEmoticons)               | ![tinymce 3 n/a](http://img.shields.io/badge/tinymce%203-n/a-lightgrey.svg?style=flat) | ![tinymce 4 ok](http://img.shields.io/badge/tinymce%204-ok-green.svg?style=flat) | 
| [TinyMceFontAwesome](https://github.com/cliffparnitzky/TinyMceFontAwesome)           | ![tinymce 3 n/a](http://img.shields.io/badge/tinymce%203-n/a-lightgrey.svg?style=flat) | ![tinymce 4 ok](http://img.shields.io/badge/tinymce%204-ok-green.svg?style=flat) |
| [TinyMceGoogleMaps](https://github.com/cliffparnitzky/TinyMceGoogleMaps)             | ![tinymce 3 ok](http://img.shields.io/badge/tinymce%203-ok-green.svg?style=flat)       | ![tinymce 4 nok](http://img.shields.io/badge/tinymce%204-nok-red.svg?style=flat) |
| [TinyMceHorizontalRuler](https://github.com/cliffparnitzky/TinyMceHorizontalRuler)   | ![tinymce 3 n/a](http://img.shields.io/badge/tinymce%203-n/a-lightgrey.svg?style=flat) | ![tinymce 4 ok](http://img.shields.io/badge/tinymce%204-ok-green.svg?style=flat) | 
| [TinyMceImageEnhancement](https://github.com/cliffparnitzky/TinyMceImageEnhancement) | ![tinymce 3 n/a](http://img.shields.io/badge/tinymce%203-n/a-lightgrey.svg?style=flat) | ![tinymce 4 ok](http://img.shields.io/badge/tinymce%204-ok-green.svg?style=flat) | 
| [TinyMceInsertDateTime](https://github.com/cliffparnitzky/TinyMceInsertDateTime)     | ![tinymce 3 ok](http://img.shields.io/badge/tinymce%203-ok-green.svg?style=flat)       | ![tinymce 4 ok](http://img.shields.io/badge/tinymce%204-ok-green.svg?style=flat) |
| [TinyMceLinkAutoDetect](https://github.com/cliffparnitzky/TinyMceLinkAutoDetect)     | ![tinymce 3 ok](http://img.shields.io/badge/tinymce%203-ok-green.svg?style=flat)       | ![tinymce 4 ok](http://img.shields.io/badge/tinymce%204-ok-green.svg?style=flat) |
| [TinyMceLinkLightbox](https://github.com/cliffparnitzky/TinyMceLinkLightbox)         | ![tinymce 3 n/a](http://img.shields.io/badge/tinymce%203-n/a-lightgrey.svg?style=flat) | ![tinymce 4 ok](http://img.shields.io/badge/tinymce%204-ok-green.svg?style=flat) | 
| [TinyMceLocalStorage](https://github.com/cliffparnitzky/TinyMceLocalStorage)         | ![tinymce 3 ok](http://img.shields.io/badge/tinymce%203-ok-green.svg?style=flat)       | ![tinymce 4 nok](http://img.shields.io/badge/tinymce%204-nok-red.svg?style=flat) |
| [TinyMcePagebreak](https://github.com/cliffparnitzky/TinyMcePagebreak)               | ![tinymce 3 ok](http://img.shields.io/badge/tinymce%203-ok-green.svg?style=flat)       | ![tinymce 4 ok](http://img.shields.io/badge/tinymce%204-ok-green.svg?style=flat) |
| [TinyMceQuotes](https://github.com/cliffparnitzky/TinyMceQuotes)                     | ![tinymce 3 ok](http://img.shields.io/badge/tinymce%203-ok-green.svg?style=flat)       | ![tinymce 4 nok](http://img.shields.io/badge/tinymce%204-nok-red.svg?style=flat) |
| [TinyMceStrikethrough](https://github.com/cliffparnitzky/TinyMceStrikethrough)       | ![tinymce 3 ok](http://img.shields.io/badge/tinymce%203-ok-green.svg?style=flat)       | ![tinymce 4 ok](http://img.shields.io/badge/tinymce%204-ok-green.svg?style=flat) |
| [TinyMceTextColor](https://github.com/cliffparnitzky/TinyMceTextColor)               | ![tinymce 3 n/a](http://img.shields.io/badge/tinymce%203-n/a-lightgrey.svg?style=flat) | ![tinymce 4 ok](http://img.shields.io/badge/tinymce%204-ok-green.svg?style=flat) |
| [TinyMceTextPattern](https://github.com/cliffparnitzky/TinyMceTextPattern)           | ![tinymce 3 n/a](http://img.shields.io/badge/tinymce%203-n/a-lightgrey.svg?style=flat) | ![tinymce 4 ok](http://img.shields.io/badge/tinymce%204-ok-green.svg?style=flat) |
| [TinyMceUnderline](https://github.com/cliffparnitzky/TinyMceUnderline)               | ![tinymce 3 n/a](http://img.shields.io/badge/tinymce%203-n/a-lightgrey.svg?style=flat) | ![tinymce 4 ok](http://img.shields.io/badge/tinymce%204-ok-green.svg?style=flat) |
| [TinyMceWordCount](https://github.com/cliffparnitzky/TinyMceWordCount)               | ![tinymce 3 ok](http://img.shields.io/badge/tinymce%203-ok-green.svg?style=flat)       | ![tinymce 4 ok](http://img.shields.io/badge/tinymce%204-ok-green.svg?style=flat) |
| [TinyMceYouTube](https://github.com/cliffparnitzky/TinyMceYouTube)                   | ![tinymce 3 ok](http://img.shields.io/badge/tinymce%203-ok-green.svg?style=flat)       | ![tinymce 4 ok](http://img.shields.io/badge/tinymce%204-ok-green.svg?style=flat) |

(More plugins will be added soon. For wishes add a comment to [issue #3](https://github.com/cliffparnitzky/TinyMcePluginLoader/issues/3).)


Bundles
-------

- [cliffparnitzky/tiny-mce-bundle-all](https://packagist.org/packages/cliffparnitzky/tiny-mce-bundle-all) - installs all plugins
- [cliffparnitzky/tiny-mce-bundle-text-color](https://packagist.org/packages/cliffparnitzky/tiny-mce-bundle-text-color) - installs the text color plugins


Adding plugins
--------------

Read the [wiki](https://github.com/cliffparnitzky/TinyMcePluginLoader/wiki/Creating-a-new-plugin).